import { CHANGE_MEMBER_ROLE_FAILURE, CHANGE_MEMBER_ROLE_REQUEST, CHANGE_MEMBER_ROLE_SUCCESS, DELETE_MEMBER_FAILURE, DELETE_MEMBER_REQUEST, DELETE_MEMBER_SUCCESS, DELETE_PROJECT_FAILURE, DELETE_PROJECT_REQUEST, DELETE_PROJECT_SUCCESS, FETCH_ALL_USER_PROJECTS_SUCCESS, FETCH_PROJECTS_ERROR, FETCH_PROJECTS_REQUEST, FETCH_PROJECTS_SUCCESS, FETCH_PROJECT_SUCCESS } from "../actionTypes/projectsActionTypes";

const initialState = {
  allUserProjectsForModalTask: [],
  allUserProjects: [],
  projects: [],
  project: "",
  loading: false,
  error: null
};

const projectsReducer = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_PROJECTS_REQUEST:
      return { ...state, loading: true };
    case FETCH_PROJECTS_SUCCESS:
      return { ...state, loading: false, projects: action.projects };
    case FETCH_PROJECTS_ERROR:
      return { ...state, loading: false, error: action.error };
    case FETCH_PROJECT_SUCCESS:
      return { ...state, loading: false, project: action.project }
    case DELETE_MEMBER_SUCCESS:
      return { ...state, loading: false };
    case DELETE_MEMBER_REQUEST:
      return { ...state, loading: true };
    case DELETE_MEMBER_FAILURE:
      return { ...state, loading: false, error: action.error };
    case DELETE_PROJECT_SUCCESS:
      return { ...state, loading: false };
    case DELETE_PROJECT_REQUEST:
      return { ...state, loading: true };
    case DELETE_PROJECT_FAILURE:
      return { ...state, loading: false, error: action.error };
    case FETCH_ALL_USER_PROJECTS_SUCCESS:
      const newArr = action.projects.map((project) => {
        return { value: project, text: project.title }
      })
      return { ...state, loading: false, allUserProjects: action.projects, allUserProjectsForModalTask: newArr }
    case CHANGE_MEMBER_ROLE_SUCCESS:
      return { ...state, loading: false };
    case CHANGE_MEMBER_ROLE_REQUEST:
      return { ...state, loading: true };
    case CHANGE_MEMBER_ROLE_FAILURE:
      return { ...state, loading: false, error: action.error };
    default:
      return state;
  }
};

export default projectsReducer;